﻿<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel_by_grzesio.php
| Author: Grzesio.tk
| Copyright (C) 2010 - 2012 by Grzesio.tk
| http://Grzesio.tk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
die("Access Denied");
}

echo "<script src='".INFUSIONS."user_info_panel_by_grzesio/js/user.js' language='javascript' type='text/javascript'></script>\n";

// Check if locale file is available matching the current user locale setting.
if (file_exists(INFUSIONS."user_info_panel_by_grzesio/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current user locale setting.
	include INFUSIONS."user_info_panel_by_grzesio/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."user_info_panel_by_grzesio/locale/Polish-utf8.php";
}

if(iMEMBER) {
openside($userdata['user_name']);
if($userdata['user_avatar'] != "") {
echo "<div style='text-align:center'><img src='".IMAGES."avatars/".$userdata['user_avatar']."' border='0'></div><br />\n";
} else {
echo "<div style='text-align:center'><img src='".INFUSIONS."user_info_panel/images/none.gif' border='0'></div><br />\n";
}
echo "<div style='text-align:center'><a href='".BASEDIR.'profile.php?lookup='.$userdata['user_id']."'>" ."<font face='Comic Sans MS' color='#0183fd' size='4'>".$userdata['user_name']."</font></a></div><hr />";

echo "<span>".THEME_BULLET."&nbsp;<a onclick=\"expandcontent('linia_1')\" style='cursor: pointer;'>\n";
echo $locale['txt_001']."</a></span>\n";
echo "<div id='linia_1' class='switchcontent'>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr class='small'>\n";
include(INFUSIONS.'user_info_panel_by_grzesio/user_stats.php');
echo "</tr>\n</table>\n</div>\n";

echo "<br /><span>".THEME_BULLET."&nbsp;<a onclick=\"expandcontent('linia_2')\" style='cursor: pointer;'>\n";
echo $locale['txt_002']."</a></span>\n";
echo "<div id='linia_2' class='switchcontent'>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr class='small'>\n";
echo "&nbsp;&nbsp;&nbsp;".THEME_BULLET."<a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a><br />\n";
echo "&nbsp;&nbsp;&nbsp;".THEME_BULLET."<a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a><br />\n";
echo "&nbsp;&nbsp;&nbsp;".THEME_BULLET."<a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a><br />\n";
if(iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
echo "&nbsp;&nbsp;&nbsp;".THEME_BULLET."<a href='".ADMIN."index.php".$aidlink."' class='side'><b>".$locale['global_123']."</b></a><br />\n";
}
echo "&nbsp;&nbsp;&nbsp;".THEME_BULLET."<a href='".BASEDIR."setuser.php?logout=yes' class='side'>".$locale['global_124']."</a>\n";
echo "</tr>\n</table>\n</div>\n";

if(iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
echo "<br /><span>".THEME_BULLET."&nbsp;<a onclick=\"expandcontent('linia_3')\" style='cursor: pointer;'>\n";
echo $locale['txt_003']."</a></span>\n";
echo "<div id='linia_3' class='switchcontent'>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr class='small'>\n";
include LOCALE.LOCALESET."admin/main.php";
@list($title) = dbarraynum(dbquery("SELECT admin_title FROM ".DB_ADMIN." WHERE admin_link='".FUSION_SELF."'"));
  $pages = array(1 => false, 2 => false, 3 => false, 4 => false, 5 => false); 
$index_link = false; $admin_nav_opts = ""; $current_page = 0;
  $result = dbquery("SELECT admin_title, admin_page, admin_rights, admin_link FROM ".DB_ADMIN." ORDER BY admin_page DESC, admin_title ASC");
$rows = dbrows($result);
while ($data = dbarray($result)) {		
	if ($data['admin_link'] != "reserved" && checkrights($data['admin_rights'])) {
		$pages[$data['admin_page']] .= "<option value='".ADMIN.$data['admin_link'].$aidlink."'>".preg_replace("/&(?!(#\d+|\w+);)/", "&amp;", $data['admin_title'])."</option>\n";
	}
}

$content = false;
for ($i = 1; $i < 6; $i++) {
	$page = $pages[$i];
		
	if ($page) {
		$admin_pages = true;
		echo "<form action='".FUSION_SELF."'>\n";
		echo "<select onchange='window.location.href=this.value' style='width:100%;' class='textbox'>\n";
		echo "<option value='".FUSION_SELF."' style='font-style:italic;' selected='selected'>".$locale['ac0'.$i]."</option>\n";
		echo $page."</select>\n</form>\n";
		$content = true;
	}
	
}
echo "</div>";
echo "</tr>\n</table>\n</div>\n";
}

} else {
openside($locale['global_100']);
echo "<div style='text-align:center'>\n";
echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='textbox' style='width:100px' /><br />\n";
echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='textbox' style='width:100px' /><br />\n";
echo "<input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
echo "</form>\n<br />\n";
if ($settings['enable_registration']) {
echo "".$locale['global_105']."<br /><br />\n";
}
echo $locale['global_106']."\n</div>\n";
}
closeside();
?>