<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel_by_grzesio.php
| Author: Grzesio.tk
| Copyright (C) 2010 - 2012 by Grzesio.tk
| http://Grzesio.tk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
die("Access Denied");
}
if (file_exists(INFUSIONS."user_info_panel_by_grzesio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_info_panel_by_grzesio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."user_info_panel_by_grzesio/locale/Polish-utf8.php";
}

include LOCALE.LOCALESET."admin/main.php";

echo $locale['001']."<strong>".USER_IP."</strong><br />";
echo $locale['002']."<strong>".$userdata['user_posts']."</strong><br />";
echo $locale['003']."<strong>".number_format(dbcount("(comment_id)", DB_COMMENTS, "comment_name='".$userdata['user_id']."'"))."</strong><br />";
echo $locale['004']."<strong>".number_format(dbcount("(news_id)", DB_NEWS, "news_name='".$userdata['user_id']."'"))."</strong><br />";
echo $locale['005']."<strong>".number_format(dbcount("(photo_id)", DB_PHOTOS, "photo_user='".$userdata['user_id']."'"))."</strong><br />";
echo $locale['006']."<strong>".number_format(dbcount("(download_id)", DB_DOWNLOADS, "download_user='".$userdata['user_id']."'"))."</strong><br />";

if(iSUPERADMIN) {
$wynik = dbquery("SELECT GROUP_CONCAT(CAST(user_id AS CHAR)) AS user_id, GROUP_CONCAT(CAST(user_name AS CHAR)) AS ip_user_name, user_ip, COUNT(user_ip) AS num FROM ".DB_USERS." GROUP BY user_ip HAVING num > 1");
#echo '<table border="0" width="100%" class="small">';
if(dbrows($wynik) > 0) {
$users = '';
while($r = dbarray($wynik)) {
$name = explode(",", $r['ip_user_name']);
$id = explode(",", $r['user_id']);
$c = array_combine($id, $name);
foreach ($c as $key => $value) {
$users .= "<a href='".BASEDIR."profile.php?lookup=".$key."'>".$value."</a>, ";
}
echo '<tr><td class="small">'.THEME_BULLET.'<span style="font-weight: bold;">'.$r['user_ip'].'</span>'.$locale['008'].number_format($r['num']).$locale['009'].'</td></tr>';
echo '<tr><td class="small">'.substr($users, 0, -2).'</td></tr>';
$users = '';
}
} else {
echo '<tr><td class="small">'.$locale['007'].'</td></tr>';
}
#echo '</table>';
}
